Description

The class org.gvsig.app.project.documents.AbstractDocument has a bad use of the PropertyChangeSupport:

    -  lock and unlock don't raises any event
    -  Classes which extend of it cannot raise any event (propertyChangeSupport instance is private)
    -  Bad old values of owner and comment are wrong (it's the new one!)

History
#1 - 12/26/2011 01:35 PM - Jorge Piera
- Category set to Application
- Status changed from New to Fixed
- Assignee set to Jorge Piera
- Add-on version set to 2.0.0
- Add-on build set to 2042
- Add-on resolve version set to 2.0.0
- Add-on resolve build set to 2043

Fixed

- The propertyChangeSupport attribute is now protected.
- The events for the owner and comment properties raises the old values.
- lock and unlock raise an event.
#2 - 01/13/2012 02:52 PM - Joaquín  del Cerro Murciano
- Target version set to 2.0.0-alpha3

#3 - 02/26/2014 12:36 PM - Álvaro Anguix
- Status changed from Fixed to Closed
